/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.annotation.PostConstruct;
import javax.ejb.Stateless;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import sikd.ikonsol.ejb.dao.LingkupDataDao;
import sikd.ikonsol.model.LingkupData;
import sikd.sikd5.sikd5ejb.session.util.MyBatisConnectionFactory;


/**
 *
 * @author Imam Bhoim
 */
@Stateless
public class LingkupDataEjbHomeImpl implements LingkupDataEjbHome{

      private SqlSessionFactory sqlSessionFactory;
    private SqlSession session = null;

    private LingkupDataDao dao;

    @PostConstruct
    public void init() {
        try {
            System.out.println("-------- Load MyBatis Factory IKonsol ------- ");
            sqlSessionFactory = MyBatisConnectionFactory.getSqlSessionFactoryIkonsol();
            dao = new LingkupDataDao(sqlSessionFactory);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    
    @Override
    public List<LingkupData> findAll() {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
     return dao.findAll();
    }

    @Override
    public LingkupData findByID(int id) {
       // throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    return dao.findByID(id);
    }

    @Override
    public List<LingkupData> findByIdList(int id) {
        //throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
     return dao.findByIdList(id);
    }
    
}
